package nsdb.NucFeaturePackage;
public class QualifierHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"Qualifier",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("name",org.omg.CORBA.ORB.init().create_string_tc(0),null),new org.omg.CORBA.StructMember("values",org.omg.CORBA.ORB.init().create_alias_tc( id(),"QualifierValueList",org.omg.CORBA.ORB.init().create_sequence_tc(0, nsdb.NucFeaturePackage.QualifierValue_uHelper.type())),null)});
	public QualifierHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, nsdb.NucFeaturePackage.Qualifier s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static nsdb.NucFeaturePackage.Qualifier extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:nsdb/NucFeature/Qualifier:1.0";
	}
	public static nsdb.NucFeaturePackage.Qualifier read(org.omg.CORBA.portable.InputStream in)
	{
		nsdb.NucFeaturePackage.Qualifier result = new nsdb.NucFeaturePackage.Qualifier();
		result.name=in.read_string();
		result.values = nsdb.NucFeaturePackage.QualifierValueListHelper.read(in);
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, nsdb.NucFeaturePackage.Qualifier s)
	{
out.write_string(s.name);
nsdb.NucFeaturePackage.QualifierValueListHelper.write(out,s.values);
	}
}
